<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXTabbar()分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_x_h_x_tabbar_07_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pro-attribs">Protected 属性</a> &#124;
<a href="#properties">属性</a> &#124;
<a href="category_x_h_x_tabbar_07_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXTabbar()分类 参考</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected 属性</h2></td></tr>
<tr class="memitem:a57e2c913e316f0b4925177ebaf979d71"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#a57e2c913e316f0b4925177ebaf979d71">_scrollViewLastOffsetX</a></td></tr>
<tr class="separator:a57e2c913e316f0b4925177ebaf979d71"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:a426d5256a6a8c36bbcc9c3c4fbd222e6"><td class="memItemLeft" align="right" valign="top">UIScrollView *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#a426d5256a6a8c36bbcc9c3c4fbd222e6">scrollView</a></td></tr>
<tr class="memdesc:a426d5256a6a8c36bbcc9c3c4fbd222e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">支持滚动时，使用scrollview  <a href="category_x_h_x_tabbar_07_08.html#a426d5256a6a8c36bbcc9c3c4fbd222e6">更多...</a><br /></td></tr>
<tr class="separator:a426d5256a6a8c36bbcc9c3c4fbd222e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85ef3cb73574ef4bd5135a9cb9aee307"><td class="memItemLeft" align="right" valign="top">UIImageView *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#a85ef3cb73574ef4bd5135a9cb9aee307">indicatorImageView</a></td></tr>
<tr class="memdesc:a85ef3cb73574ef4bd5135a9cb9aee307"><td class="mdescLeft">&#160;</td><td class="mdescRight">指示器视图  <a href="category_x_h_x_tabbar_07_08.html#a85ef3cb73574ef4bd5135a9cb9aee307">更多...</a><br /></td></tr>
<tr class="separator:a85ef3cb73574ef4bd5135a9cb9aee307"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13b0a01ec2cf30201aff3c7f4aa1ab0a"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#a13b0a01ec2cf30201aff3c7f4aa1ab0a">indicatorWidthFixTitle</a></td></tr>
<tr class="memdesc:a13b0a01ec2cf30201aff3c7f4aa1ab0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">指示器的宽 是否适配文字宽度  <a href="category_x_h_x_tabbar_07_08.html#a13b0a01ec2cf30201aff3c7f4aa1ab0a">更多...</a><br /></td></tr>
<tr class="separator:a13b0a01ec2cf30201aff3c7f4aa1ab0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8ed64055bcc3802b8bc338c069fb525"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#ae8ed64055bcc3802b8bc338c069fb525">indicatorSwitchAnimated</a></td></tr>
<tr class="separator:ae8ed64055bcc3802b8bc338c069fb525"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46c9e4819beef1cc1bdf8a280d60cd4f"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#a46c9e4819beef1cc1bdf8a280d60cd4f">itemFitTextWidth</a></td></tr>
<tr class="memdesc:a46c9e4819beef1cc1bdf8a280d60cd4f"><td class="mdescLeft">&#160;</td><td class="mdescRight">item是否匹配文字宽度  <a href="category_x_h_x_tabbar_07_08.html#a46c9e4819beef1cc1bdf8a280d60cd4f">更多...</a><br /></td></tr>
<tr class="separator:a46c9e4819beef1cc1bdf8a280d60cd4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a921e549a41b5dcc29e6e7968f9376115"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#a921e549a41b5dcc29e6e7968f9376115">itemFitTextWidthSpacing</a></td></tr>
<tr class="memdesc:a921e549a41b5dcc29e6e7968f9376115"><td class="mdescLeft">&#160;</td><td class="mdescRight">当Item匹配title的文字宽度时，左右留出的空隙，item的宽度 = 文字宽度 + spacing  <a href="category_x_h_x_tabbar_07_08.html#a921e549a41b5dcc29e6e7968f9376115">更多...</a><br /></td></tr>
<tr class="separator:a921e549a41b5dcc29e6e7968f9376115"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2305a0e6b8d32b84d669120dc7ecdd2e"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#a2305a0e6b8d32b84d669120dc7ecdd2e">itemContentHorizontalCenterVerticalOffset</a></td></tr>
<tr class="separator:a2305a0e6b8d32b84d669120dc7ecdd2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13f3b825d75273acc62819456dc1fa81"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#a13f3b825d75273acc62819456dc1fa81">itemContentHorizontalCenterSpacing</a></td></tr>
<tr class="separator:a13f3b825d75273acc62819456dc1fa81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa72beb68e01fad3daa1cf3621bb5808f"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#aa72beb68e01fad3daa1cf3621bb5808f">numberBadgeMarginTop</a></td></tr>
<tr class="separator:aa72beb68e01fad3daa1cf3621bb5808f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a401d1f88047255fdb93b00bb8c75057a"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#a401d1f88047255fdb93b00bb8c75057a">numberBadgeCenterMarginRight</a></td></tr>
<tr class="separator:a401d1f88047255fdb93b00bb8c75057a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1bc4d84f80abcd5192ebf2d2892d190"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#aa1bc4d84f80abcd5192ebf2d2892d190">numberBadgeTitleHorizonalSpace</a></td></tr>
<tr class="separator:aa1bc4d84f80abcd5192ebf2d2892d190"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addb8521510139283630145af48b788d7"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#addb8521510139283630145af48b788d7">numberBadgeTitleVerticalSpace</a></td></tr>
<tr class="separator:addb8521510139283630145af48b788d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14ecb90b57319ff1689e82a5b5f8c984"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#a14ecb90b57319ff1689e82a5b5f8c984">dotBadgeMarginTop</a></td></tr>
<tr class="separator:a14ecb90b57319ff1689e82a5b5f8c984"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb0989e5768d643940681a68d790e70f"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#aeb0989e5768d643940681a68d790e70f">dotBadgeCenterMarginRight</a></td></tr>
<tr class="separator:aeb0989e5768d643940681a68d790e70f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7360fe2596b00a32d565bd9578cc882f"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#a7360fe2596b00a32d565bd9578cc882f">dotBadgeSideLength</a></td></tr>
<tr class="separator:a7360fe2596b00a32d565bd9578cc882f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87dd47adc43a4486488be4c3a645aae0"><td class="memItemLeft" align="right" valign="top">NSMutableArray *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#a87dd47adc43a4486488be4c3a645aae0">separatorLayers</a></td></tr>
<tr class="separator:a87dd47adc43a4486488be4c3a645aae0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a267307abc094b50a6479e34dd10bac0a"><td class="memItemLeft" align="right" valign="top">UIColor *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#a267307abc094b50a6479e34dd10bac0a">itemSeparatorColor</a></td></tr>
<tr class="separator:a267307abc094b50a6479e34dd10bac0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15d815dd7216fe549f38a9545ab1529d"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#a15d815dd7216fe549f38a9545ab1529d">itemSeparatorThickness</a></td></tr>
<tr class="separator:a15d815dd7216fe549f38a9545ab1529d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d0f15dd2568192c783c2f487ae08dff"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#a9d0f15dd2568192c783c2f487ae08dff">itemSeparatorLeading</a></td></tr>
<tr class="separator:a9d0f15dd2568192c783c2f487ae08dff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07573ff5ee18f2d95698a96dfa40ca5d"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#a07573ff5ee18f2d95698a96dfa40ca5d">itemSeparatorTrailing</a></td></tr>
<tr class="separator:a07573ff5ee18f2d95698a96dfa40ca5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab35a5aab89a4ea3295b822139281a161"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#ab35a5aab89a4ea3295b822139281a161">isVertical</a></td></tr>
<tr class="memdesc:ab35a5aab89a4ea3295b822139281a161"><td class="mdescLeft">&#160;</td><td class="mdescRight">是否为 竖直布局  <a href="category_x_h_x_tabbar_07_08.html#ab35a5aab89a4ea3295b822139281a161">更多...</a><br /></td></tr>
<tr class="separator:ab35a5aab89a4ea3295b822139281a161"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd02cb7176dc033b7fface5a01b22076"><td class="memItemLeft" align="right" valign="top">CGSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#acd02cb7176dc033b7fface5a01b22076">indicatorSize</a></td></tr>
<tr class="memdesc:acd02cb7176dc033b7fface5a01b22076"><td class="mdescLeft">&#160;</td><td class="mdescRight">设置指示器的尺寸  <a href="category_x_h_x_tabbar_07_08.html#acd02cb7176dc033b7fface5a01b22076">更多...</a><br /></td></tr>
<tr class="separator:acd02cb7176dc033b7fface5a01b22076"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48e6d9e8c8d04ea469a32e4cbde83473"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_indicator_positon.html">IndicatorPositon</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_x_h_x_tabbar_07_08.html#a48e6d9e8c8d04ea469a32e4cbde83473">indicatorPosition</a></td></tr>
<tr class="separator:a48e6d9e8c8d04ea469a32e4cbde83473"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock">
<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00011">11</a> 行定义.</p>
</div><h2 class="groupheader">类成员变量说明</h2>
<a id="a57e2c913e316f0b4925177ebaf979d71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57e2c913e316f0b4925177ebaf979d71">&#9670;&nbsp;</a></span>_scrollViewLastOffsetX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) _scrollViewLastOffsetX</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00012">12</a> 行定义.</p>

</div>
</div>
<h2 class="groupheader">属性说明</h2>
<a id="aeb0989e5768d643940681a68d790e70f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb0989e5768d643940681a68d790e70f">&#9670;&nbsp;</a></span>dotBadgeCenterMarginRight</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) dotBadgeCenterMarginRight</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00040">40</a> 行定义.</p>

</div>
</div>
<a id="a14ecb90b57319ff1689e82a5b5f8c984"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14ecb90b57319ff1689e82a5b5f8c984">&#9670;&nbsp;</a></span>dotBadgeMarginTop</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) dotBadgeMarginTop</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00039">39</a> 行定义.</p>

</div>
</div>
<a id="a7360fe2596b00a32d565bd9578cc882f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7360fe2596b00a32d565bd9578cc882f">&#9670;&nbsp;</a></span>dotBadgeSideLength</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) dotBadgeSideLength</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00041">41</a> 行定义.</p>

</div>
</div>
<a id="a85ef3cb73574ef4bd5135a9cb9aee307"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85ef3cb73574ef4bd5135a9cb9aee307">&#9670;&nbsp;</a></span>indicatorImageView</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIImageView*) indicatorImageView</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>指示器视图 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00017">17</a> 行定义.</p>

</div>
</div>
<a id="a48e6d9e8c8d04ea469a32e4cbde83473"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48e6d9e8c8d04ea469a32e4cbde83473">&#9670;&nbsp;</a></span>indicatorPosition</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="struct_indicator_positon.html">IndicatorPositon</a>) indicatorPosition</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00055">55</a> 行定义.</p>

</div>
</div>
<a id="acd02cb7176dc033b7fface5a01b22076"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd02cb7176dc033b7fface5a01b22076">&#9670;&nbsp;</a></span>indicatorSize</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGSize) indicatorSize</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>设置指示器的尺寸 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00053">53</a> 行定义.</p>

</div>
</div>
<a id="ae8ed64055bcc3802b8bc338c069fb525"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8ed64055bcc3802b8bc338c069fb525">&#9670;&nbsp;</a></span>indicatorSwitchAnimated</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) indicatorSwitchAnimated</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00021">21</a> 行定义.</p>

</div>
</div>
<a id="a13b0a01ec2cf30201aff3c7f4aa1ab0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13b0a01ec2cf30201aff3c7f4aa1ab0a">&#9670;&nbsp;</a></span>indicatorWidthFixTitle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) indicatorWidthFixTitle</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>指示器的宽 是否适配文字宽度 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00019">19</a> 行定义.</p>

</div>
</div>
<a id="ab35a5aab89a4ea3295b822139281a161"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab35a5aab89a4ea3295b822139281a161">&#9670;&nbsp;</a></span>isVertical</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) isVertical</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>是否为 竖直布局 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00051">51</a> 行定义.</p>

</div>
</div>
<a id="a13f3b825d75273acc62819456dc1fa81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13f3b825d75273acc62819456dc1fa81">&#9670;&nbsp;</a></span>itemContentHorizontalCenterSpacing</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) itemContentHorizontalCenterSpacing</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00030">30</a> 行定义.</p>

</div>
</div>
<a id="a2305a0e6b8d32b84d669120dc7ecdd2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2305a0e6b8d32b84d669120dc7ecdd2e">&#9670;&nbsp;</a></span>itemContentHorizontalCenterVerticalOffset</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) itemContentHorizontalCenterVerticalOffset</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00028">28</a> 行定义.</p>

</div>
</div>
<a id="a46c9e4819beef1cc1bdf8a280d60cd4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46c9e4819beef1cc1bdf8a280d60cd4f">&#9670;&nbsp;</a></span>itemFitTextWidth</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) itemFitTextWidth</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>item是否匹配文字宽度 </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00023">23</a> 行定义.</p>

</div>
</div>
<a id="a921e549a41b5dcc29e6e7968f9376115"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a921e549a41b5dcc29e6e7968f9376115">&#9670;&nbsp;</a></span>itemFitTextWidthSpacing</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) itemFitTextWidthSpacing</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>当Item匹配title的文字宽度时，左右留出的空隙，item的宽度 = 文字宽度 + spacing </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00025">25</a> 行定义.</p>

</div>
</div>
<a id="a267307abc094b50a6479e34dd10bac0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a267307abc094b50a6479e34dd10bac0a">&#9670;&nbsp;</a></span>itemSeparatorColor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIColor*) itemSeparatorColor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00045">45</a> 行定义.</p>

</div>
</div>
<a id="a9d0f15dd2568192c783c2f487ae08dff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d0f15dd2568192c783c2f487ae08dff">&#9670;&nbsp;</a></span>itemSeparatorLeading</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) itemSeparatorLeading</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00047">47</a> 行定义.</p>

</div>
</div>
<a id="a15d815dd7216fe549f38a9545ab1529d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15d815dd7216fe549f38a9545ab1529d">&#9670;&nbsp;</a></span>itemSeparatorThickness</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) itemSeparatorThickness</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00046">46</a> 行定义.</p>

</div>
</div>
<a id="a07573ff5ee18f2d95698a96dfa40ca5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07573ff5ee18f2d95698a96dfa40ca5d">&#9670;&nbsp;</a></span>itemSeparatorTrailing</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) itemSeparatorTrailing</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00048">48</a> 行定义.</p>

</div>
</div>
<a id="a401d1f88047255fdb93b00bb8c75057a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a401d1f88047255fdb93b00bb8c75057a">&#9670;&nbsp;</a></span>numberBadgeCenterMarginRight</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) numberBadgeCenterMarginRight</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00034">34</a> 行定义.</p>

</div>
</div>
<a id="aa72beb68e01fad3daa1cf3621bb5808f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa72beb68e01fad3daa1cf3621bb5808f">&#9670;&nbsp;</a></span>numberBadgeMarginTop</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) numberBadgeMarginTop</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00033">33</a> 行定义.</p>

</div>
</div>
<a id="aa1bc4d84f80abcd5192ebf2d2892d190"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1bc4d84f80abcd5192ebf2d2892d190">&#9670;&nbsp;</a></span>numberBadgeTitleHorizonalSpace</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) numberBadgeTitleHorizonalSpace</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00035">35</a> 行定义.</p>

</div>
</div>
<a id="addb8521510139283630145af48b788d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#addb8521510139283630145af48b788d7">&#9670;&nbsp;</a></span>numberBadgeTitleVerticalSpace</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) numberBadgeTitleVerticalSpace</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00036">36</a> 行定义.</p>

</div>
</div>
<a id="a426d5256a6a8c36bbcc9c3c4fbd222e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a426d5256a6a8c36bbcc9c3c4fbd222e6">&#9670;&nbsp;</a></span>scrollView</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIScrollView*) scrollView</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>支持滚动时，使用scrollview </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00015">15</a> 行定义.</p>

</div>
</div>
<a id="a87dd47adc43a4486488be4c3a645aae0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87dd47adc43a4486488be4c3a645aae0">&#9670;&nbsp;</a></span>separatorLayers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSMutableArray*) separatorLayers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a> 第 <a class="el" href="_x_h_x_tabbar_8m_source.html#l00044">44</a> 行定义.</p>

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>XHXKit/Classes/Tabbar/<a class="el" href="_x_h_x_tabbar_8m_source.html">XHXTabbar.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_x_h_x_tabbar_07_08.html">XHXTabbar()</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
